This plugin demonstrates a Gutenberg block that saves static HTML and sets its attributes based on that HTML. This plugin illustrates some advanced concepts of [block attributes](https://wordpress.org/gutenberg/handbook/block-api/attributes/).

# Development
This project was bootstrapped with [Create Guten Block](https://github.com/ahmadawais/create-guten-block). Below you will find some information on how to run scripts.

## `npm start`
- Use to compile and run the block in development mode.
- Watches for any changes and reports back any errors in your code.

## `npm run build`
- Use to build production code for your block inside `dist` folder.
- Runs once and reports back the gzip file sizes of the produced code.

## `npm run eject`
- Use to eject your plugin out of `create-guten-block`.
- Provides all the configurations so you can customize the project as you want.
- It's a one-way street, `eject` and you have to maintain everything yourself.
- You don't normally have to `eject` a project because by ejecting you lose the connection with `create-guten-block` and from there onwards you have to update and maintain all the dependencies on your own.

